Bug 432199 - NetworkManager is not running after resuming from suspend-to-ram
NetworkManager is not running after resuming from suspend-to-ram
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-09 14:13 EST by Mark Richards
Modified: 2009-01-09 00:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:57:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Richards 2008-02-09 14:13:36 EST
Description of problem:
When I close the lid on my notebook it suspends.  When I open the lid and press
the power button it resumes.  However the NetworkManager program is no longer
running and I have to restart it to get network access again.  The Notebook is
an LG R500 and the only binary driver I installed is the nVidia driver.

How reproducible:
Always

Steps to Reproduce:
1. Suspend
2. Resume
  
Actual results:
NetworkManager is not running.  It needs to be restarted with /sbin/service
NetworkManager restart

Expected results:
It should stay running

Additional info:
/sbin/lspci says:
00:19.0 Ethernet controller: Intel Corporation 82566MC Gigabit Network
Connection (rev 03)
02:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN
Network Connection (rev 61)

cat /etc/modprobe.conf says:
alias eth0 e1000

Also there are SELinux errors which shows up after I resume, which may be related:
SELinux is preventing /sbin/killall5 (hotplug_t) "ptrace" to (hotplug_t).
SELinux is preventing /sbin/killall5 (hotplug_t) "ptrace" to (initrc_t).
SELinux is preventing ifdown-ipv6 (hotplug_t) "search" to (proc_net_t).

Finally I should note that I am running KDE and using KPowersave, which is how I
configured the notebook to suspend.
Comment 1 Dan Williams 2008-02-11 09:03:52 EST
Found and fixed upstream, thanks for the report.  Should be in the next testing
update.
Comment 2 Dan Williams 2008-03-31 12:51:49 EDT
Can you verify that this has been fixed in the latest updates-testing version?
svn3370 should be the one.
Comment 3 Mark Richards 2008-03-31 22:06:45 EDT
I did:

su -
yum --enablerepo=updates-testing update NetworkManager*
reboot

Then, on reboot, I logged in, connected to a wireless network, and closed the
lid of my notebook.  When I opened the lid NetworkManager did not come back but
doing
/sbin/service NetworkManager restart
brought back the icon and allowed me to connect.
Comment 4 Bug Zapper 2008-11-26 04:45:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:57:49 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.